export enum ErrorCodeEnum {
  /**
   * HTTP CODE 400
   * 错误请求
   */
  BAD_REQUEST = 400,

  /**
   * HTTP CODE 401
   * 未授权
   */
  UNAUTHORIZED = 401,

  /**
   * HTTP CODE 403
   * 没有权限
   */
  FORBIDDEN = 403,

  /**
   * HTTP CODE 404
   * 未找到
   */
  NOT_FOUND = 404,

  /**
   * HTTP CODE 500
   * 服务器错误
   */
  SERVER_ERROR = 500,

  /**
   * 自定义 CODE 1001
   * 用户不存在
   */
  USER_NOT_FOUND = 1001,

  /**
   * 自定义 CODE 1002
   * 邮箱未验证
   */
  EMAIL_NOT_VERIFIED = 1002,

  /**
   * 自定义 CODE 1003
   * 无效的参数
   */
  INVALID_PARAMETER = 1003,

  /**
   * 自定义 CODE 1004
   * 操作失败
   */
  OPERATION_FAILED = 1004,
}
