import { env } from './env';

export interface ServiceConfig {
  tts: {
    txAsrTokenUrl: string;
    serviceUrl: string;
  };
  fanYiGou: {
    endpoint: string;
    secret: string;
    appId: string;
  };
}

export const service: ServiceConfig = {
  tts: {
    txAsrTokenUrl: env.TTS_TX_ASR_TOKEN_URL ?? '',
    serviceUrl: env.TTS_SERVICE_URL ?? '',
  },
  fanYiGou: {
    endpoint: env.FAN_YI_GOU_ENDPOINT ?? 'https://www.fanyigou.com',
    secret: env.FAN_YI_GOU_SECRET ?? '',
    appId: env.FAN_YI_GOU_APP_ID ?? '',
  },
};
