import { IsString, IsNotEmpty, IsPhoneNumber } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class LoginDto {
  @ApiProperty({
    description: '用户的手机号码',
    type: 'string',
    example: '13800138000',
  })
  @IsNotEmpty()
  @IsString()
  @IsPhoneNumber('CN')
  phone: string;

  @ApiProperty({
    description: '用户的密码',
    type: 'string',
    example: '1234test',
  })
  @IsNotEmpty()
  @IsString()
  password: string;
}
