import { ApiProperty } from '@nestjs/swagger';
import { Expose } from 'class-transformer';

export class UserBaseDto {
  @ApiProperty({
    description: '用户的id',
    type: 'number',
    example: 1111,
  })
  @Expose()
  id: number;

  @ApiProperty({
    description: '用户的账号',
    type: 'string',
    example: 'test',
  })
  @Expose()
  acc: string;

  @ApiProperty({
    description: '用户的手机号码',
    type: 'string',
    example: '13800138000',
  })
  @Expose()
  phone: string;

  @ApiProperty({
    description: '用户的邮箱地址',
    type: 'string',
    example: 'test@example.com',
  })
  @Expose()
  mailAddr: string;

  @ApiProperty({
    description: '用户的最后登录时间',
    type: 'number',
    example: 1627849200,
  })
  @Expose()
  lastLoginTime: number;

  @ApiProperty({
    description: '用户的状态',
    type: 'number',
    example: 1,
  })
  @Expose()
  state: number;

  @ApiProperty({
    description: '用户的昵称',
    type: 'string',
    example: 'test_nickname',
    required: false,
  })
  @Expose()
  nickname?: string;
}
