import { Module } from '@nestjs/common';
import { TranslateService } from './translate.service';
import { TranslateController } from './translate.controller';
import { AuthGuard } from '../auth/auth.guard';
import { AuthModule } from '../auth/auth.module';
import { UserModule } from '../user/user.module'; // 导入 UserModule

@Module({
  imports: [AuthModule, UserModule], // 添加 UserModule 到 imports 数组
  controllers: [TranslateController],
  providers: [TranslateService, AuthGuard],
})
export class TranslateModule {}
