import { Entity, PrimaryGeneratedColumn, Column } from 'typeorm';

@Entity('activerecords')
export class ActiveRecordsEntity {
  @PrimaryGeneratedColumn()
  id: number;

  @Column({
    nullable: true,
    name: 'userId',
    comment: '用户id',
  })
  userId: number;

  @Column({
    nullable: true,
    name: 'lastActiveTime',
    comment: '上次活跃时间',
  })
  lastActiveTime: number;

  @Column({
    nullable: true,
    name: 'state',
    comment: '是否删除',
  })
  state: number;

  @Column({
    nullable: true,
    name: 'ip',
    comment: '当前ip',
  })
  ip: string;

  @Column({
    nullable: true,
    name: 'platform',
    comment: '平台',
  })
  platform: number;

  @Column({
    nullable: true,
    name: 'userAgent',
    comment: '客户端信息',
  })
  userAgent: string;

  @Column({
    nullable: true,
    name: 'level',
    comment: '会员级别',
  })
  level: number;

  @Column({
    nullable: true,
    name: 'logoutTime',
    comment: '离线时间',
  })
  logoutTime: number;

  @Column({
    nullable: true,
    name: 'times',
    comment: '登录次数',
  })
  times: number;
}
