import { Entity, PrimaryGeneratedColumn, Column } from 'typeorm';

@Entity('user')
export class UserEntity {
  @PrimaryGeneratedColumn()
  id: number;

  @Column({
    nullable: false,
    name: 'acc',
    comment: '账号',
  })
  acc: string;

  @Column({
    nullable: true,
    name: 'uid',
    comment: '唯一id',
  })
  uid: string;

  @Column({
    nullable: false,
    name: 'pwd',
    comment: '密码',
  })
  pwd: string;

  @Column({
    nullable: true,
    name: 'mailAddr',
    comment: '邮箱',
  })
  mailAddr: string;

  @Column({
    nullable: true,
    name: 'phone',
    comment: '手机号',
  })
  phone: string;

  @Column({
    nullable: true,
    name: 'state',
    comment: '状态',
  })
  state: number;

  @Column({
    nullable: true,
    name: 'regType',
    comment: '注册类型',
  })
  regType: number;

  @Column({
    nullable: true,
    name: 'mailValidate',
    comment: '邮箱验证',
  })
  mailValidate: number;

  @Column({
    nullable: false,
    name: 'type',
    comment: '类型',
  })
  type: number;

  @Column({
    nullable: false,
    name: 'regtime',
    comment: '注册时间',
  })
  regtime: number;

  @Column({
    nullable: false,
    name: 'regSource',
    comment: '注册来源',
  })
  regSource: number;

  @Column({
    nullable: true,
    name: 'lastLoginTime',
    comment: '最后登录时间',
  })
  lastLoginTime: number;

  @Column({
    nullable: true,
    name: 'level',
    comment: '会员等级',
  })
  level: number;
}
